import { LocalNotificationHandler, LocalNotificationRequest, LocalNotifications } from './local-notifications.shared';
export declare function debug(...args: any[]): void;
export declare abstract class AbstractLocalNotifications extends LocalNotifications {
    private readonly _handers;
    protected readonly _handler: LocalNotificationHandler;
    constructor();
    /** Enable/disable debugging */
    static set debugEnabled(enabled: boolean);
    /** Check status of debugging flag */
    static get debugEnabled(): boolean;
    schedule(notification: LocalNotificationRequest, when: Date | number): Promise<string | void>;
    on(event: 'localNotification', handler: LocalNotificationHandler): this;
    once(event: 'localNotification', handler: LocalNotificationHandler): this;
    off(event: 'localNotification', handler: LocalNotificationHandler): this;
    abstract cancel(id: string): Promise<void>;
    protected abstract scheduleNative(notification: LocalNotificationRequest, seconds: number): Promise<string>;
}
